@mixin breakpoint($class) {
    @if $class == sm {
      @media (min-width: $sm) { @content; }
    }
   
    @else if $class == md {
      @media (min-width: $md) { @content; }
    }
   
    @else if $class == lg {
      @media (min-width: $lg) { @content; }
    }
   
    @else if $class == ex {
      @media (min-width: $ex) { @content; }
    }
   
    @else {
      @warn "Breakpoint mixin supports: xs, sm, md, lg";
    }
}
